Name:           libjuice
Version:        1.3.1
Release:        1%{?dist}
Summary:        A UDP Interactive Connectivity Establishment library

License:        MPL-2.0
URL:            https://github.com/paullouisageneau/libjuice
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# From: https://github.com/paullouisageneau/libjuice/pull/222
Patch0:         libjuice-gnuinstalldirs.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(nettle)

%description
libjuice 🍋💦 (JUICE is a UDP Interactive Connectivity Establishment library)
allows to open bidirectionnal User Datagram Protocol (UDP) streams with
Network Address Translator (NAT) traversal.

The library is a simplified implementation of the Interactive Connectivity
Establishment (ICE) protocol, client-side and server-side, written in C
without dependencies for POSIX platforms (including GNU/Linux, Android,
Apple macOS and iOS) and Microsoft Windows. The client supports only a
single component over UDP per session in a standard single-gateway
network topology, as this should be sufficient for the majority of
use cases nowadays.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%cmake -DUSE_NETTLE=ON
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_libdir}/%{name}.so.1{,.*}

%files devel
%doc README.md
%{_includedir}/juice/
%{_libdir}/cmake/LibJuice/
%{_libdir}/%{name}.so


%changelog
* Sun Sep 10 2023 Neal Gompa <ngompa@fedoraproject.org> - 1.3.1-1
- Initial package
